/* Where's My Mickey? SQL Update Script (Game Version 1.0->1.1, DB Version 3->4) */

/* Add new columns to tables */
ALTER TABLE LevelInfo ADD COLUMN 'HintsUnlocked' INTEGER DEFAULT 0 NOT NULL;

/* Add new player data to track */
INSERT OR IGNORE INTO PlayerData (ID, EventName, EventValue, EventStringValue) VALUES (20,'HintCurrency',2,'');
INSERT OR IGNORE INTO PlayerData (ID, EventName, EventValue, EventStringValue) VALUES (21,'PlayerSeenLOTW',0,'');
INSERT OR IGNORE INTO PlayerData (ID, EventName, EventValue, EventStringValue) VALUES (22,'HintCurrencySet',0,'');
INSERT OR IGNORE INTO PlayerData (ID, EventName, EventValue, EventStringValue) VALUES (23,'LOTWBaseAssetsDownloaded',0,'');

/* Add new collectibles */
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(31,0,0,'COL_TURTLE','LP_GOAT_SUBTITLE',0,0);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(32,0,0,'COL_LANTERN','LP_GOAT_SUBTITLE',0,0);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(33,0,0,'COL_CANTEEN','LP_GOAT_SUBTITLE',0,0);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(34,0,0,'COL_POPSICLE','LP_GOAT_SUBTITLE',1,1);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(35,0,0,'COL_ICE_CREAM_CONE','LP_GOAT_SUBTITLE',1,1);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(36,0,0,'COL_TURKEY_LEG','LP_GOAT_SUBTITLE',1,0);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(37,0,0,'COL_TOMATO','LP_VENICE_SUBTITLE',0,0);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(38,0,0,'COL_PIZZA_SLICE','LP_VENICE_SUBTITLE',0,0);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(39,0,0,'COL_FISH_BONES','LP_VENICE_SUBTITLE',0,1);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(40,0,0,'COL_TOOLBOX','LP_VENICE_SUBTITLE',1,1);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(41,0,0,'COL_FUNNY_DISGUISE','LP_VENICE_SUBTITLE',1,1);
INSERT OR IGNORE INTO CollectibleInfo (ID, Unlocked, HasViewed, BaseName, GroupTitle, RowID, HasFrame) VALUES(42,0,0,'COL_CAMERA','LP_VENICE_SUBTITLE',1,1);

/* Add collection info */
INSERT OR IGNORE INTO "CollectionInfo" (ID, GroupTitle, RowID, LevelFile) VALUES(11,'LP_GOAT_SUBTITLE',0,'/Mickey/Levels/bM07_no_closed_doors');
INSERT OR IGNORE INTO "CollectionInfo" (ID, GroupTitle, RowID, LevelFile) VALUES(12,'LP_GOAT_SUBTITLE',1,'/Mickey/Levels/bM08_perilous_path');
INSERT OR IGNORE INTO "CollectionInfo" (ID, GroupTitle, RowID, LevelFile) VALUES(13,'LP_VENICE_SUBTITLE',0,'/Mickey/Levels/bM09_break_them_all');
INSERT OR IGNORE INTO "CollectionInfo" (ID, GroupTitle, RowID, LevelFile) VALUES(14,'LP_VENICE_SUBTITLE',1,'/Mickey/Levels/bM10_shoot_the_breeze');

/* Add new Levels
 * We only need to specify values for the columns that don't use the default 
 */

INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(120,'LN_CURLY_WURLY','/Mickey/Levels/01_curly_wurly','LP_GOAT',38.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(121,'LN_WINDPIPE','/Mickey/Levels/02_windpipe','LP_GOAT',43.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(122,'LN_FROM_HERE_TO_THERE','/Mickey/Levels/03_from_here_to_there','LP_GOAT',45.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(123,'LN_AIRSTREAM','/Mickey/Levels/04_airstream','LP_GOAT',48.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(124,'LN_INFINITE_LOOP','/Mickey/Levels/05_infinite_loop','LP_GOAT',52.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(125,'LN_WASHING_MACHINE','/Mickey/Levels/06_washing_machine','LP_GOAT',52.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(126,'LN_VACUUM_CLEANER','/Mickey/Levels/07_vacuum_cleaner','LP_GOAT',49.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(127,'LN_DISAPPEARING_ACT','/Mickey/Levels/08_disappearing_act','LP_GOAT',52.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(128,'LN_TRAVEL_LIGHT','/Mickey/Levels/09_travel_light','LP_GOAT',47.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(129,'LN_BLOCK_THE_EXITS','/Mickey/Levels/10_block_the_exits','LP_GOAT',45.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(130,'LN_BACKTRACK','/Mickey/Levels/11_backtrack','LP_GOAT',62.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(131,'LN_SMOOTH_SAILING','/Mickey/Levels/12_smooth_sailing','LP_GOAT',50.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(132,'LN_WHICH_WAY_WIND','/Mickey/Levels/13_which_way_wind','LP_GOAT',44.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(133,'LN_EXIT_STRATEGY','/Mickey/Levels/14_exit_strategy','LP_GOAT',60.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(134,'LN_AIRLOCK','/Mickey/Levels/15_airlock','LP_GOAT',62.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(135,'LN_MOP_N_DROP','/Mickey/Levels/16_mop_n_drop','LP_GOAT',64.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(136,'LN_AROUND_THE_BEND','/Mickey/Levels/17_around_the_bend','LP_GOAT',57.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(137,'LN_DONT_SPILL_IT','/Mickey/Levels/18_dont_spill_it','LP_GOAT',42.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(138,'LN_FLIPPING_OUT','/Mickey/Levels/19_flipping_out','LP_GOAT',44.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(139,'LN_SPRING_CLEANING','/Mickey/Levels/20_spring_cleaning','LP_GOAT',58.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(140,'LN_FILL_THE_TANK','/Mickey/Levels/01_fill_the_tank','LP_VENICE',42.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(141,'LN_FIZZLE_FALLS','/Mickey/Levels/02_fizzle_falls','LP_VENICE',41.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(142,'LN_DEAD_END','/Mickey/Levels/03_dead_end','LP_VENICE',43.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(143,'LN_AIR_BREAK','/Mickey/Levels/04_air_break','LP_VENICE',39.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(144,'LN_BREAKTHROUGH','/Mickey/Levels/05_breakthrough','LP_VENICE',48.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(145,'LN_CALM_PASSAGE','/Mickey/Levels/06_calm_passage','LP_VENICE',69.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(146,'LN_REPEAT_TRIP','/Mickey/Levels/07_repeat_trip','LP_VENICE',68.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(147,'LN_OPEN_DOOR_POLICY','/Mickey/Levels/08_open_door_policy','LP_VENICE',54.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(148,'LN_NOT_A_CLOUD_IN_SIGHT','/Mickey/Levels/09_not_a_cloud_in_sight','LP_VENICE',52.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(149,'LN_HEADS_UP','/Mickey/Levels/10_heads_up','LP_VENICE',53.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(150,'LN_STUCK_IN_THE_MIDDLE','/Mickey/Levels/11_stuck_in_the_middle','LP_VENICE',65.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(151,'LN_DOUBLE_DOORS','/Mickey/Levels/12_double_doors','LP_VENICE',47.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(152,'LN_CLOSING_SOON','/Mickey/Levels/13_closing_soon','LP_VENICE',53.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(153,'LN_DOWNWIND','/Mickey/Levels/14_downwind','LP_VENICE',54.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(154,'LN_NOBLE_SACRIFICE','/Mickey/Levels/15_noble_sacrifice','LP_VENICE',54.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(155,'LN_RINSE_AND_REPEAT','/Mickey/Levels/16_rinse_and_repeat','LP_VENICE',44.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(156,'LN_BETWEEN_ENEMY_LINES','/Mickey/Levels/17_between_enemy_lines','LP_VENICE',61.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(157,'LN_NO_TURBULANCE','/Mickey/Levels/18_no_turbulance','LP_VENICE',61.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(158,'LN_CHANGE_THE_TRACKS','/Mickey/Levels/19_change_the_tracks','LP_VENICE',56.0,'');
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound) VALUES(159,'LN_CLEAN_SWEEP','/Mickey/Levels/20_clean_sweep','LP_VENICE',57.0,'');

INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound, IsBonus) VALUES(7200,'LN_NO_CLOSED_DOORS','/Mickey/Levels/bM07_no_closed_doors','LP_BONUS',26.0,'',1);
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound, IsBonus) VALUES(7201,'LN_PERILOUS_PATH','/Mickey/Levels/bM08_perilous_path','LP_BONUS',34.0,'',1);
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound, IsBonus) VALUES(7202,'LN_BREAK_THEM_ALL','/Mickey/Levels/bM09_break_them_all','LP_BONUS',25.0,'',1);
INSERT OR IGNORE INTO LevelInfo (ID, Name, FileName, PackName, ParTime, CollectibleFound, IsBonus) VALUES(7203,'LN_SHOOT_THE_BREEZE','/Mickey/Levels/bM10_shoot_the_breeze','LP_BONUS',17.0,'',1);

/* Update Goofy Episodes with new IDs... They are moving a couple notches down to make room for new Mickey Episodes. */
UPDATE LevelPackInfo SET ID=16 WHERE ID=14 AND PackName='LP_ARTIST';
UPDATE LevelPackInfo SET ID=17 WHERE ID=15 AND PackName='LP_SHIPWRECK';

/* Add new Mickey Episodes */
INSERT OR IGNORE INTO LevelPackInfo (ID, Storyline, PackName, IAP_item_id, TitleText, SubtitleText, MainTexture, FrameTexture, FB_AlbumName, Sandbox_Level, LevelSelectXML, SandboxLevelSelectXML, iPadOnly) VALUES
                                    (14,1000,'LP_GOAT','GlassHalfEmptyMenaceOfVenice','LP_GOAT_TITLE','LP_GOAT_SUBTITLE','WMM_Goat_TitleCard.webp','ui_world_frame.png','Glass Half Empty','/Mickey/Levels/mickey04','SN_LevelSelect_Sandbox.xml','SN_LevelSelect_Sandbox.xml',0);

INSERT OR IGNORE INTO LevelPackInfo (ID, Storyline, PackName, IAP_item_id, TitleText, SubtitleText, MainTexture, FrameTexture, FB_AlbumName, Sandbox_Level, LevelSelectXML, SandboxLevelSelectXML, iPadOnly) VALUES
                                    (15,1000,'LP_VENICE','GlassHalfEmptyMenaceOfVenice','LP_VENICE_TITLE','LP_VENICE_SUBTITLE','WMM_Venice_TitleCard.webp','ui_world_frame.png','The Menace of Venice','/Mickey/Levels/mickey05','SN_LevelSelect_Sandbox.xml','SN_LevelSelect_Sandbox.xml',0);

INSERT OR IGNORE INTO LevelPackInfo (ID, Storyline, PackName, Hidden, IAP_item_id, TitleText, SubtitleText) VALUES
                                    (10000,1000,'LP_LOTW_MICKEY',1,'','LP_INSPIREDBY_TITLE','LP_INSPIREDBY_SUBTITLE');

INSERT OR IGNORE INTO LevelPackInfo (ID, Storyline, PackName, Hidden, IAP_item_id, TitleText, SubtitleText) VALUES
                                    (10001,1001,'LP_LOTW_GOOFY',1,'','LP_INSPIREDBY_TITLE','LP_INSPIREDBY_SUBTITLE');
                                    
/* Tweak the Level of the Week existing level */
UPDATE LOWInfo SET LevelName='' WHERE ID=0 AND PackName='LP_ONE';

/* Add new tables for "Inspired By The Shorts" LOTW */
CREATE TABLE InspiredByShortsInfo ("ID" INTEGER PRIMARY KEY  NOT NULL ,"Name" TEXT NOT NULL ,"Title" TEXT NOT NULL  DEFAULT ('') ,"URL" TEXT NOT NULL  DEFAULT ('') ,"Texture" TEXT NOT NULL  DEFAULT ('') ,"DisplayOrder" INTEGER NOT NULL  DEFAULT -1);
CREATE TABLE InspiredByLevelInfo ("ID" INTEGER PRIMARY KEY  NOT NULL ,"Storyline" INTEGER NOT NULL  DEFAULT (-1) ,"PackName" TEXT NOT NULL  DEFAULT ('LP_') ,"DisplayOrder" INTEGER NOT NULL  DEFAULT (-1) ,"LevelName" TEXT NOT NULL  DEFAULT ('LN_'), "ShortsInfoName" TEXT NOT NULL  DEFAULT '', "IsNew" INTEGER NOT NULL DEFAULT (1));

/*--- Add new IAP -----------------------------------------------------------------------*/
/* delete IAPInfo table, create new IAPInfo table that (potentially) has 2 new columns: Google_Tablet & Amazon_Tablet */ 
DROP TABLE IAPInfo;

CREATE TABLE "IAPInfo" ("ID" INTEGER PRIMARY KEY  NOT NULL ,
						"Storyline" INTEGER NOT NULL  DEFAULT (-1) ,
						"Internal" TEXT,
						"iOS" TEXT,
						"Google" TEXT,
						"Amazon" TEXT,
						"Bought" INTEGER NOT NULL  DEFAULT (0) ,
						"iOS_Tablet" TEXT,
						"Google_Tablet" TEXT,
						"Amazon_Tablet" TEXT, 
						"Downloaded" INTEGER NOT NULL  DEFAULT 1);

/* add v1.0 starting database values for VanGoofyShipwrecked, but with addition of 2 new columns */
INSERT INTO "IAPInfo" VALUES(1,
							1001,
							'VanGoofyShipwrecked',
							'disney.wheresmymickey.vangoofyshipwrecked',
							'com.disney.wmmickey.goo.2207589.unlock1',
							'com.disney.wmmickey.ama.2207590.unlock1',
							0,
							'disney.wheresmymickeyipad.vangoofyshipwrecked',
							'com.disney.wmmickey.goo.2207730.unlock1',
							'com.disney.wmmickey.ama.2207732.unlock1',
							1);

/* add new entries for hint packs and half empty / menace of venice */
INSERT OR IGNORE INTO IAPInfo (ID, Storyline, Internal, iOS, Google, Amazon, Bought, iOS_Tablet, Google_Tablet, Amazon_Tablet, Downloaded) VALUES
                              (2,
                              1001,
                              'hintpack01',
                              'disney.wheresmymickey.hintpack01',
                              'com.disney.wmmickey.goo.2208184.hintpack1',
                              'com.disney.wmmickey.ama.2208186.hintpack1',
                              0,
                              'disney.wheresmymickeyipad.hintpack01', 
                              'com.disney.wmmickey.goo.2208185.hintpack1',
                              'com.disney.wmmickey.ama.2208187.hintpack1',
                              1);

INSERT OR IGNORE INTO IAPInfo (ID, Storyline, Internal, iOS, Google, Amazon, Bought, iOS_Tablet, Google_Tablet, Amazon_Tablet, Downloaded) VALUES
                              (3,
                              1001,
                              'hintpack02',
                              'disney.wheresmymickey.hintpack02',
                              'com.disney.wmmickey.goo.2208188.hintpack2',
                              'com.disney.wmmickey.ama.2208190.hintpack2',
                              0,
                              'disney.wheresmymickeyipad.hintpack02',
                              'com.disney.wmmickey.goo.2208189.hintpack2',
                              'com.disney.wmmickey.ama.2208191.hintpack2',
                              1);
                        
INSERT OR IGNORE INTO IAPInfo (ID, Storyline, Internal, iOS, Google, Amazon, Bought, iOS_Tablet, Google_Tablet, Amazon_Tablet, Downloaded) VALUES
                              (4,
                              1000,
                              'GlassHalfEmptyMenaceOfVenice',
                              'disney.wheresmymickey.glasshalfemptymenaceofvenice',
                              'com.disney.wmmickey.goo.2208192.glassempty',
                              'com.disney.wmmickey.ama.2208194.glassempty',
                              0,
                              'disney.wheresmymickeyipad.glasshalfemptymenaceofvenice',
                              'com.disney.wmmickey.goo.2208193.glassempty',
                              'com.disney.wmmickey.ama.2208195.glassempty',
                              0);
/*---------------------------------------------------------------------------------------*/                              

/* Add currency packs to game */
CREATE TABLE CurrencyPacks(id TEXT NOT NULL,value INTEGER,currency TEXT,PRIMARY KEY (id));

/* Add two currency packs for hints */
INSERT INTO CurrencyPacks (id, value, currency) VALUES ('hintpack01', 5, 'HintCurrency');
INSERT INTO CurrencyPacks (id, value, currency) VALUES ('hintpack02', 20, 'HintCurrency');

/* Enable the Rate This App features */
INSERT OR IGNORE INTO Settings (ID, Name, Value) VALUES(33,'RateAppAvailable',1);

/* Make sure we increment database version number */
UPDATE Settings SET Value=4 WHERE Name='DatabaseVersion';

/*---------------------------------------------------------------------------------------*/                              
/* Create table for push notifications */
CREATE TABLE "CommandURI" ("ID" INTEGER PRIMARY KEY  NOT NULL ,
						   "HeldPushCommand" TEXT );

/* temporarily save old table's info about VanGoofyShipwrecked entry */
CREATE TEMPORARY TABLE iapBackup("ID" INTEGER PRIMARY KEY  NOT NULL, 
								"Bought" INTEGER NOT NULL  DEFAULT (0), 
								"Downloaded" INTEGER NOT NULL  DEFAULT 1);

INSERT INTO iapBackup SELECT ID, Bought, Downloaded FROM IAPInfo WHERE Internal='VanGoofyShipwrecked';

/* update new VanGoofyShipwrecked entry to reflect data saved from iapBackup table */
UPDATE IAPInfo SET Bought=(SELECT "Bought" FROM iapBackup WHERE "ID"=1) WHERE ID=1;
UPDATE IAPInfo SET Downloaded=(SELECT "Downloaded" FROM iapBackup WHERE "ID"=1) WHERE ID=1;

/* done copying over old IAPInfo data, so get rid of temp table! */
DROP TABLE iapBackup;

